> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hifi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a user

> Create a new Hifi user (Individual/Business)

HIFI does not provide services to users or businesses from sanctioned and high-risk regions or unsupported US states. See [here](https://docs.hifi.com/docs/compliance/regions) for supported regions.




## OpenAPI

````yaml https://production.hifi.com/api/v2/openapi.json post /v2/users
openapi: 3.0.0
info:
  title: Hifi API
  version: 2.0.0
  description: API documentation for Hifi
servers:
  - url: https://production.hifibridge.com
    description: Production server
  - url: https://sandbox.hifibridge.com
    description: Sandbox server
security:
  - bearerAuth: []
tags:
  - name: Common
    description: Common endpoints
  - name: User
    description: User endpoints
  - name: Kyc
    description: Kyc endpoints
  - name: Wallet
    description: Wallet endpoints
  - name: Account
    description: Account endpoints
  - name: External Account
    description: External Account endpoints for managing beneficiary bank accounts
  - name: Fiat Account
    description: Fiat Account endpoints
  - name: Virtual Account
    description: Virtual Account endpoints
  - name: Onramp
    description: Onramp endpoints
  - name: Offramp
    description: Offramp endpoints
  - name: Orchestration Address
    description: >-
      Orchestration Address endpoints — persistent on-chain wallets that
      automatically off-ramp incoming stablecoin deposits to a USD bank account
  - name: Crypto Transfer
    description: Crypto Transfer endpoints
  - name: Cross-Chain Bridge
    description: Cross-Chain Bridge endpoints
  - name: Token Swap
    description: Token Swap endpoints
  - name: Canton Offers
    description: Canton Offers endpoints
  - name: Transfer Rules
    description: Transfer approval rules and configuration
  - name: Transfer Approvals
    description: Transfer approval workflow and admin actions
  - name: File
    description: File endpoints
  - name: Reporting
    description: Reporting and metrics endpoints
paths:
  /v2/users:
    post:
      tags:
        - User
      summary: Create a user
      description: >
        Create a new Hifi user (Individual/Business)


        HIFI does not provide services to users or businesses from sanctioned
        and high-risk regions or unsupported US states. See
        [here](https://docs.hifi.com/docs/compliance/regions) for supported
        regions.
      requestBody:
        $ref: '#/components/requestBodies/UserV2CreateBody'
      responses:
        '200':
          $ref: '#/components/responses/UserV2ObjectResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedResponse'
        '404':
          $ref: '#/components/responses/NotFoundResponse'
        '500':
          $ref: '#/components/responses/InternalServerErrorResponse'
components:
  requestBodies:
    UserV2CreateBody:
      required: true
      content:
        application/json:
          schema:
            oneOf:
              - $ref: '#/components/schemas/IndividualUserV2Create'
              - $ref: '#/components/schemas/BusinessUserV2Create'
  responses:
    UserV2ObjectResponse:
      description: Success
      content:
        application/json:
          schema:
            oneOf:
              - $ref: '#/components/schemas/IndividualUserV2Object'
              - $ref: '#/components/schemas/BusinessUserV2Object'
          examples:
            UserObjectIndividualExample:
              $ref: '#/components/examples/UserObjectIndividualExample'
            UserObjectBusinessExample:
              $ref: '#/components/examples/UserObjectBusinessExample'
    UnauthorizedResponse:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Unauthorized'
    NotFoundResponse:
      description: Resource not found
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                enum:
                  - error
              error:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
    InternalServerErrorResponse:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalServerError'
  schemas:
    IndividualUserV2Create:
      type: object
      title: Create Individual User
      properties:
        requestId:
          type: string
          description: >-
            Request ID for user creation. If not provided, a random UUID will be
            generated. Using the same requestId will result in the same user
            being returned.
          format: uuid
        type:
          type: string
          enum:
            - individual
        chains:
          type: array
          description: |
            The chains to create wallets for, default to POLYGON and ETHEREUM.
          items:
            type: string
            enum:
              - POLYGON
              - ETHEREUM
              - SOLANA
              - BASE
              - BSC
              - FLOW_EVM
              - CANTON
              - TRON
        firstName:
          type: string
        lastName:
          type: string
        email:
          type: string
        dateOfBirth:
          type: string
          format: date
          description: Date of birth in format yyyy-mm-dd.
        address:
          $ref: '#/components/schemas/Address'
          type: object
          description: |
            Address of the user.

            Either the address or the ipAddress must be provided.
        ipAddress:
          type: string
          description: |
            IP address of the user.

            Either the address or the ipAddress must be provided.
          format: ipv4
        signedAgreementId:
          type: string
          description: >-
            ID of the signed agreement, fetched through the HIFI's Hosted Terms
            of Service Link POST /tos-link
      required:
        - type
        - firstName
        - lastName
        - email
        - dateOfBirth
        - signedAgreementId
    BusinessUserV2Create:
      type: object
      title: Create Business User
      properties:
        requestId:
          type: string
          description: >-
            Request ID for user creation. If not provided, a random UUID will be
            generated. Using the same requestId will result in the same user
            being returned.
          format: uuid
        type:
          type: string
          enum:
            - business
        businessName:
          type: string
        chains:
          type: array
          description: |
            The chains to create wallets for, default to POLYGON and ETHEREUM.
          items:
            type: string
            enum:
              - POLYGON
              - ETHEREUM
              - SOLANA
              - BASE
              - BSC
              - FLOW_EVM
              - CANTON
              - TRON
        email:
          type: string
        address:
          $ref: '#/components/schemas/Address'
          type: object
          description: |
            Address of the user.

            Either the address or the ipAddress must be provided.
        ipAddress:
          type: string
          description: |
            IP address of the user.

            Either the address or the ipAddress must be provided.
          format: ipv4
        ultimateBeneficialOwners:
          type: array
          items:
            $ref: '#/components/schemas/UltimateBeneficialOwnerV2'
        signedAgreementId:
          type: string
          description: >-
            ID of the signed agreement, fetched through the HIFI's Hosted Terms
            of Service Link POST /tos-link
      required:
        - type
        - businessName
        - email
        - ultimateBeneficialOwners
        - signedAgreementId
    IndividualUserV2Object:
      type: object
      title: User Object (Individual)
      properties:
        id:
          type: string
          format: uuid
          description: User ID
        createdAt:
          type: string
          format: date-time
          description: Data and time when the user was created
        type:
          type: string
        email:
          type: string
        name:
          type: string
        wallets:
          type: object
          properties:
            INDIVIDUAL:
              type: object
              properties:
                ETHEREUM:
                  $ref: '#/components/schemas/WalletAddressObject'
                POLYGON:
                  $ref: '#/components/schemas/WalletAddressObject'
    BusinessUserV2Object:
      type: object
      title: User Object (Business)
      properties:
        id:
          type: string
          format: uuid
          description: User ID
        createdAt:
          type: string
          format: date-time
          description: Data and time when the user was created
        type:
          type: string
        email:
          type: string
        name:
          type: string
        wallets:
          type: object
          properties:
            INDIVIDUAL:
              type: object
              properties:
                ETHEREUM:
                  $ref: '#/components/schemas/WalletAddressObject'
                POLYGON:
                  $ref: '#/components/schemas/WalletAddressObject'
    Unauthorized:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        error:
          type: string
          description: Error type
        errorDetails:
          type: string
          description: Detailed error message
    InternalServerError:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        error:
          type: string
          description: Error type
        errorDetails:
          type: string
          description: Detailed error message
    Address:
      type: object
      properties:
        addressLine1:
          type: string
        addressLine2:
          type: string
        city:
          type: string
        stateProvinceRegion:
          type: string
          description: >
            The second part of the [ISO 3166-2 subdivision
            code](https://en.wikipedia.org/wiki/ISO_3166-2). This must be
            provided if the country has subdivisions.


            An ISO 3166-2 code consists of two parts, separated by a hyphen
            (`-`):
              1. The first part is the ISO 3166-1 alpha-2 code of the country (e.g., `US`, `CA`, `BR`);
              2. The second part is a string of up to three alphanumeric characters representing a specific subdivision (e.g., state, province). This is typically based on national standards or developed by ISO.

              Only provide the second part of the code (e.g., `CA` for California in `US-CA`, or `SP` for São Paulo in `BR-SP`).
        postalCode:
          type: string
          description: Must be supplied for countries that use postal codes.
        country:
          type: string
          description: >-
            Three-letter alpha-3 country code as defined in the [ISO 3166-1
            spec](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3).
      required:
        - addressLine1
        - city
        - stateProvinceRegion
        - postalCode
        - country
    UltimateBeneficialOwnerV2:
      type: object
      properties:
        firstName:
          type: string
        lastName:
          type: string
        dateOfBirth:
          type: string
          format: date
          description: Date of birth in format yyyy-mm-dd.
        hasControl:
          type: boolean
          description: >-
            True if the person has a significant responsibility to control,
            manage, or direct the activities of the business. At least one of
            the ultimateBeneficialOwners needs to have this set to true.
        isSigner:
          type: boolean
          description: >-
            True if the person can authorize transactions on behalf of the
            business. At least one of the ultimateBeneficialOwners needs to have
            this set to true.
        businessTitle:
          type: string
          description: Agent or authorised person's job title.
      required:
        - firstName
        - lastName
        - dateOfBirth
        - hasControl
        - isSigner
        - businessTitle
    WalletAddressObject:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Wallet ID
        address:
          type: string
          description: Wallet address
      required:
        - address
  examples:
    UserObjectIndividualExample:
      summary: User Object (Individual)
      value:
        id: 4d93ab4f-3983-4ac0-8c97-54bbc0f287fa
        createdAt: '2025-09-24T19:12:20.541Z'
        type: individual
        email: john.doe@hifibridge.com
        name: John Doe
        wallets:
          INDIVIDUAL:
            ETHEREUM:
              id: 24b4917d-694e-4d81-ace8-9ba0261b6f4e
              address: '0x43B343Bb48E23F58406271131B71448fF95787AD'
            POLYGON:
              id: 24b4917d-604e-4d81-ace8-9ba0261b6f4e
              address: '0x43B343Bb48E23F58406271131B71448fF95787AD'
    UserObjectBusinessExample:
      summary: User Object (Business)
      value:
        id: 264484e0-979a-5fa3-9335-947f55e5999a
        createdAt: '2025-09-24T19:03:41.107Z'
        type: business
        email: admin@randombizz.com
        name: Random Bizz
        wallets:
          INDIVIDUAL:
            ETHEREUM:
              id: 24b4917d-604e-4d81-ace8-9ba0261b6f4e
              address: '0x2f78AEFA879819D7a5C9a87fE8BF5e7B961f5500'
            POLYGON:
              id: 24b4917d-604e-4d81-ace8-9ba0261b6f4e
              address: '0x2f78AEFA879819D7a5C9a87fE8BF5e7B961f5500'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````